Name: scientific-encyclopedia
Version: 1.0.2
Release: 1%{?dist}
Summary: Simple Scientific Encyclopedia
Summary(ar): الموسوعة العلمية الميسرة
License: WAQF
URL: https://linuxac.org
Source0: %{name}-%{version}.tar.xz
Requires: pywebkitgtk
Buildarch: noarch

%description
Simple Scientific Encyclopedia

%description -l ar
الموسوعة العلمية الميسرة

%prep
%setup -q -n %{name}
sed -i "s:/usr/share:%{_datadir}:g" %{name}

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/appdata
mkdir -p %{buildroot}%{_datadir}/pixmaps

cp -pr images includes jquery.min.js %{buildroot}%{_datadir}/%{name}

install -Dp -m 0644 index.html %{buildroot}%{_datadir}/%{name}
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}
install -Dp -m 0755 %{name}.desktop %{buildroot}%{_datadir}/applications
install -Dp -m 0644 %{name}.appdata.xml %{buildroot}%{_datadir}/appdata
install -Dp -m 0644 %{name}.png %{buildroot}%{_datadir}/pixmaps



%files
%{_datadir}/%{name}/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Jan 29 2017 Mosaab Alzoubi <moceap@hotmail.com> - 1.0.2-1
- Initial on Ojuba
